VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   " Main"
   ClientHeight    =   2820
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4155
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   ScaleHeight     =   2820
   ScaleWidth      =   4155
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton btnExit 
      Caption         =   "E&xit"
      Height          =   315
      Left            =   3150
      Style           =   1  'Graphical
      TabIndex        =   15
      Top             =   2460
      Width           =   915
   End
   Begin VB.Frame Frame1 
      Height          =   2205
      Left            =   4350
      TabIndex        =   6
      Top             =   30
      Visible         =   0   'False
      Width           =   4245
      Begin VB.Label Label2 
         Caption         =   "-- this can sometimes take a while"
         Height          =   255
         Left            =   990
         TabIndex        =   14
         Top             =   1200
         Width           =   2565
      End
      Begin VB.Label Label4 
         Caption         =   "CONNECTING ---- Please wait"
         ForeColor       =   &H00FF0000&
         Height          =   195
         Left            =   660
         TabIndex        =   7
         Top             =   660
         Width           =   3465
      End
   End
   Begin VB.TextBox Text3 
      BackColor       =   &H00E0E0E0&
      BorderStyle     =   0  'None
      Height          =   255
      Left            =   3540
      TabIndex        =   13
      Text            =   "volts"
      Top             =   1440
      Width           =   405
   End
   Begin VB.TextBox EditVoltage 
      Height          =   285
      Left            =   2550
      Locked          =   -1  'True
      TabIndex        =   11
      Top             =   1380
      Width           =   885
   End
   Begin VB.CommandButton BtnGetConversion 
      Caption         =   "Get One Voltage"
      Enabled         =   0   'False
      Height          =   405
      Left            =   2580
      Style           =   1  'Graphical
      TabIndex        =   10
      Top             =   1710
      Width           =   1395
   End
   Begin VB.TextBox Text7 
      BackColor       =   &H00E0E0E0&
      BorderStyle     =   0  'None
      Height          =   195
      Left            =   1320
      TabIndex        =   9
      Text            =   "Device ID"
      Top             =   1890
      Width           =   825
   End
   Begin VB.TextBox EditDevID 
      BackColor       =   &H00C0C0C0&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   1230
      Locked          =   -1  'True
      TabIndex        =   4
      Top             =   1410
      Width           =   975
   End
   Begin VB.TextBox EditMsg 
      Height          =   1065
      HideSelection   =   0   'False
      Left            =   150
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Top             =   120
      Width           =   3855
   End
   Begin VB.CommandButton BtnConnect 
      Caption         =   "Connect"
      Height          =   735
      Left            =   150
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   1380
      Width           =   975
   End
   Begin VB.TextBox Text2 
      Height          =   1185
      Left            =   90
      TabIndex        =   2
      Top             =   60
      Width           =   3945
   End
   Begin VB.TextBox Text1 
      BackColor       =   &H00E0E0E0&
      Height          =   795
      Left            =   2520
      Locked          =   -1  'True
      TabIndex        =   12
      Top             =   1350
      Width           =   1485
   End
   Begin VB.TextBox Text4 
      BackColor       =   &H0000C000&
      Height          =   825
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   16
      Top             =   1350
      Width           =   1065
   End
   Begin VB.TextBox Text6 
      BackColor       =   &H00E0E0E0&
      Height          =   855
      Left            =   90
      Locked          =   -1  'True
      TabIndex        =   8
      Top             =   1320
      Width           =   3945
   End
   Begin VB.Shape Shape4 
      FillColor       =   &H000000FF&
      FillStyle       =   0  'Solid
      Height          =   375
      Left            =   3120
      Top             =   2430
      Width           =   975
   End
   Begin VB.Label Label3 
      Caption         =   "Last Modified: 8-1-05"
      ForeColor       =   &H00404040&
      Height          =   225
      Left            =   120
      TabIndex        =   5
      Top             =   2550
      Width           =   1785
   End
   Begin VB.Label Label1 
      Caption         =   "Model-30x Simplified sample application"
      ForeColor       =   &H00404040&
      Height          =   225
      Left            =   120
      TabIndex        =   3
      Top             =   2280
      Width           =   3045
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub BtnConnect_Click()
    Frame1.Visible = True: btnExit.Enabled = False
    DoEvents
    Dim bRetVal As Byte
    bRetVal = EX_Connect(usDevID)
    EditDevID = usDevID
    If bRetVal > 0 Then
        EditMsg.Text = "Connected to: " & usDevID: BtnGetConversion.Enabled = True
    Else
        EditMsg.Text = "Failed to connect"
    End If
    Frame1.Visible = False: btnExit.Enabled = True
End Sub
Private Sub BtnGetConversion_Click()
    Dim bRetVal As Byte: Dim dblMilliVolts As Double
    bRetVal = EX_GetOneConversion(CInt(EditDevID.Text), dblMilliVolts)
    If dblMilliVolts < 0 Then 'Just used to improve display of negative
        EditVoltage.Text = Format$(Str(Abs(dblMilliVolts / 1000#)), "-#.000000")
    Else
        EditVoltage.Text = Format$(Str(dblMilliVolts / 1000#), " #.000000")
    End If
End Sub
Private Sub Form_Load()
    Frame1.Top = 30: Frame1.Left = 90
End Sub
Private Sub btnExit_Click()
    Unload frmMain
End Sub


